__SETFPUCW(3)

NAME
__setfpucw - set fpu control word on i386 architecture

SYNOPSIS
#include <i386/fpu_control.h>

void __setfpucw((unsigned short) control_word);

DESCRIPTION
__setfpucw transfer control_word to the registers of the fpu (floating point unit) on i386 architecture. This can be used to control floating point precision, rounding and floating point exceptions.

EXAMPLE
__setfpucw(0x1372) Set fpu control word on i386 architecture to
     - extended precision
     - rounding to nearest
     - exceptions on overflow, zero divide and NaN

SEE ALSO
/usr/include/i386/fpu_control.h